# Interface ParamsSerializerOptions

interface ParamsSerializerOptions {
dots ?: boolean;
encode ?: ParamEncoder ;
indexes ?: null | boolean;
metaTokens ?: boolean;
serialize ?: CustomParamsSerializer ;
visitor ?: SerializerVisitor ;
}

#### Hierarchy (View Summary)

- SerializerOptions
  - ParamsSerializerOptions

- Defined in node_modules/axios/index.d.ts:277

##### Index

### Properties

dots?
encode?
indexes?
metaTokens?
serialize?
visitor?

## Properties

### `Optional` dots

dots?: boolean

Inherited from SerializerOptions.dots

- Defined in node_modules/axios/index.d.ts:260

### `Optional` encode

encode?: ParamEncoder

- Defined in node_modules/axios/index.d.ts:278

### `Optional` indexes

indexes?: null | boolean

Inherited from SerializerOptions.indexes

- Defined in node_modules/axios/index.d.ts:262

### `Optional` metaTokens

metaTokens?: boolean

Inherited from SerializerOptions.metaTokens

- Defined in node_modules/axios/index.d.ts:261

### `Optional` serialize

serialize?: CustomParamsSerializer

- Defined in node_modules/axios/index.d.ts:279

### `Optional` visitor

visitor?: SerializerVisitor

Inherited from SerializerOptions.visitor

- Defined in node_modules/axios/index.d.ts:259